diff third_party/emsdk/test/test_node_path.sh @ 186:8cf4ec5e2191 hg-web

Fixed merge conflict.
author MrJuneJune <me@mrjunejune.com>
date Fri, 23 Jan 2026 22:38:59 -0800
parents 8d17f6e6e290
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/third_party/emsdk/test/test_node_path.sh	Fri Jan 23 22:38:59 2026 -0800
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+
+echo "Test that node is added to that PATH if, and only if, it is not one already present".
+
+if [ -n "$EMSDK" ]; then
+    echo "EMSDK is already defined in this shell. Run tests in a shell without sourcing emsdk_env.sh first"
+    exit 1
+fi
+
+DIR=$(dirname "$BASH_SOURCE")
+cd $DIR/..
+
+./emsdk install latest
+./emsdk activate latest
+
+if which node; then
+  echo "Test should be run without node in the path"
+  exit 1
+fi
+
+# Run emsdk_env.sh and confirm that node was added to the PATH
+. emsdk_env.sh
+
+if ! which node; then
+  echo "node not found in path after emsdk_env.sh"
+  exit 1
+fi
+
+# Run emsdk_env.sh again and confirm that node is still in the PATH
+. emsdk_env.sh
+
+if ! which node; then
+  echo "node not found in path after emsdk_env.sh"
+  exit 1
+fi